Skip to main content
GET
/
v1
/
alert-rules
List alert rules
curl --request GET \
  --url https://api.us.poly.ai/v1/alert-rules \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.us.poly.ai/v1/alert-rules"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.us.poly.ai/v1/alert-rules', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "ar_0Kx4mNpQ8rWvYb2dFgHjLs",
      "name": "<string>",
      "threshold_value": 1,
      "enabled": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "project_id": "<string>",
      "since": "2023-11-07T05:31:56Z",
      "last_evaluated_at": "2023-11-07T05:31:56Z",
      "current_value": 123
    }
  ]
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}

Authorizations

X-API-KEY
string
header
required

An API key is a token that you provide when making API calls. Include the token in a header parameter called X-API-KEY.

Query Parameters

enabled
boolean

Filter by enabled status

metric
enum<string>

Filter by metric Metric to monitor.

Available options:
turn_latency_p50,
turn_latency_p95,
api_errors,
function_errors,
call_crashes,
call_volume
project_id
string

Filter by project ID

state
enum<string>

Filter by current state Current state of an alert rule.

Available options:
ok,
alert,
no_data,
unknown

Response

Alert rules retrieved successfully.

Every alert rule in scope, each with its current state.

data
object[]
required

An alert rule: its trigger condition, evaluation window, and current state.

Last modified on March 10, 2026